# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

$LOAD_PATH << ".." unless $LOAD_PATH.include?("..")
begin
  require "ext/xmlformatter.so"
  $have_xmlformatter_so = true
rescue LoadError
  $have_xmlformatter_so = false
end

require "test/unit"
require "qwik/qp"

class TextXMLFormatter_so < Test::Unit::TestCase
  def test_all
    formatter = Gonzui::XMLFormatter.new
    assert_equal("<a\n/>", formatter.format([:a]))
  end
end
